Bug 1186233 (CVE-2013-2927)

Summary: CVE-2013-2927 webkitgtk: use-after-free in the HTMLFormElement::prepareForSubmission() (WSA-2015-0001)
Product: [Other] Security Response Reporter: Vasyl Kaigorodov <vkaigoro>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: fedora, huzaifas, kalevlember, kevin, martin.sourada, mcatanzaro+wrong-account-do-not-cc, mclasen, mtasaka, tpopela
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: WebKitGTK+ 2.4.1, 2.4.2 and 2.4.8 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-07-31 05:23:45 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1181092, 1186276    
Bug Blocks: 1186188    

Description Vasyl Kaigorodov 2015-01-27 10:35:04 UTC
Following vulnerability was discovered on the 2.4 stable series of WebKitGTK+:

CVE-2013-2927
 Use-after-free vulnerability in the HTMLFormElement::prepareForSubmission function in core/html/HTMLFormElement.cpp in Blink, as used in Google Chrome before 30.0.1599.101, allows remote attackers to cause a denial of service or possibly have unspecified other impact via vectors related to submission for FORM elements. 

External References:

http://webkitgtk.org/security/WSA-2015-0001.html

Comment 1 Vasyl Kaigorodov 2015-01-27 10:49:30 UTC
Created webkitgtk4 tracking bugs for this issue:

Affects: fedora-all [bug 1186276]

Comment 2 Vasyl Kaigorodov 2015-01-27 10:49:32 UTC
Created webkitgtk3 tracking bugs for this issue:

Affects: fedora-all [bug 1181092]

Comment 4 Huzaifa S. Sidhpurwala 2015-07-31 05:33:48 UTC
Statement:

Red Hat Product Security has rated this issue as having Moderate security impact. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.